> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List deal-link candidates for a broker decision



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/broker/end_users/{end_user_id_or_heron_id}/deal_link_candidates/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker/end_users/{end_user_id_or_heron_id}/deal_link_candidates/:
    get:
      tags:
        - Brokers
      summary: List deal-link candidates for a broker decision
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DealLinkCandidate'
                type: array
          description: OK
        '404':
          description: Not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DealLinkCandidate:
      properties:
        heron_id:
          readOnly: true
          type: string
        latest_activity_at:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        name:
          nullable: true
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````